<?php
namespace app\daohang\behavior;

use think\Controller;

class Hook extends Controller
{
    //后台统计
    public function adminIndexCount(&$datas)
    {
        array_push($datas,[
            'id'    => 'view',
            'title' => 'daohang/count/view',
            'ico'   => 'fa-adjust',
            'color' => 'text-info',
            'count' => model('daohang/Count','loglic')->views(),
        ]);
        array_push($datas,[
            'id'    => 'detail',
            'title' => 'daohang/count/detail',
            'ico'   => 'fa-file-text',
            'color' => 'text-primary',
            'count' => model('daohang/Count','loglic')->detail(),
        ]);
        array_push($datas,[
            'id'    => 'detail',
            'title' => 'daohang/count/hidden',
            'ico'   => 'fa-file-text-o',
            'color' => 'text-info',
            'count' => model('daohang/Count','loglic')->hidden(),
        ]);
        array_push($datas,[
            'id'    => 'view',
            'title' => 'daohang/count/user',
            'ico'   => 'fa-user',
            'color' => 'text-success',
            'count' => model('daohang/Count','loglic')->user(),
        ]);
        array_push($datas,[
            'id'    => 'category',
            'title' => 'daohang/count/category',
            'ico'   => 'fa-folder-o',
            'color' => 'text-danger',
            'count' => model('daohang/Count','loglic')->category(),
        ]);
        array_push($datas,[
            'id'    => 'tag',
            'title' => 'daohang/count/tag',
            'ico'   => 'fa-tags',
            'color' => 'text-warning',
            'count' => model('daohang/Count','loglic')->tag(),
        ]);
    }
    
    //前台权限扩展
    public function adminCapsFront(&$caps)
    {
        $caps = array_merge($caps,[
            'daohang/score/save',
            'daohang/fast/save',
            'daohang/filter/index',
            'daohang/search/common',
            'daohang/data/index',
        ]);
    }
    
    //后台权限扩展
    public function adminCapsBack(&$caps)
    {
        $caps = array_merge($caps,[
            'daohang/admin/index',
            'daohang/admin/save',
            'daohang/admin/delete',
            'daohang/collect/index',
            'daohang/collect/save',
            'daohang/collect/delete',
            'daohang/collect/write',
        ]);
    }
}