<?php
namespace app\daohang\loglic;

class Install
{
    //一键安装回调
    public function mysql()
    {
        \daicuo\Apply::install('user','install');
        
        \think\Cache::clear();//依赖插件安装后需要重加载应用列表
        
        \daicuo\Apply::install('friend','install');
        
        \daicuo\Apply::install('adsense','install');
        
        \daicuo\Apply::install('pay','install');
        
        \daicuo\Apply::install('daohang','install');
        
        model('daohang/Datas','loglic')->updatePack();
        
        $this->rewriteIndex();
        
        return true;
    }
    
    //设置首页路由
    private function rewriteIndex()
    {
        //公共
        \daicuo\Op::write([
            'site_name'  => '呆错网址导航系统',
            'url_suffix' => '.html',
        ], 'common', 'config', 'system', 0, 'yes');
        //配置
        \daicuo\Op::write([
            'rewrite_index' => '/',
        ], 'daohang', 'config', 'system', 0, 'yes');
        //删除
        db('op')->where([
            'op_name'  => 'site_route',
            'op_value' => ['like','a:5:{s:4:"rule";s:3:"dh$"%'],
        ])->delete();
        //首页
        return model('common/Route','loglic')->index('daohang/index/index', 'daohang');
    }
}